Home | All Classes | Grouped Classes | Index | Search

# Class CL_OpenGL

OpenGL utility class. More...

Derived from: none
Derived by: none
Group: GL (System)

#include <ClanLib/gl.h>

Attributes:

get_proc_address | Get OpenGL extension specific function address.
functions static | Function table for OpenGL 2.0.
from_opengl_pixelformat | Get a pixel format out of an OpenGL format.
to_opengl_pixelformat | Get a OpenGL format out of a pixel format.
ignore_extension | Ignore OpenGL extensions by name, causing ClanLib to not attempt to use them
extension_exists | Test to see if a certain OGL Extension is present or not. It's slow, don't call it in a main loop.

Detailed description:

!group=GL/System! !header=gl.h!
Questions or comments, write to the ClanLib mailing list.